	function onTalk()
		disableMovement()
		setFlag("flag_warp", true)
		choiceDialog({
		{
			"Violet_BonusGym_GymHub_1",
			repeatable = true,
			onChosen = function ()
				teleportTo(-100, 96, "Holdables")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		},
		{
			"Violet_BonusGym_GymHub_2",
			repeatable = true,
			onChosen = function ()
				teleportTo(-200, 152, "Dashless")
			end,
			onEnd = function ()
                closeChoiceDialog()
			end
		}
		})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
